[GeForce GT 330M] nvidia 260.19.06-0ubuntu1 update triggers black screen on boot for sony vaio F-series

Bug #657634 reported by David Mandala on 2010-10-10
104
This bug affects 18 people
Affects Status Importance Assigned to Milestone
nvidia-graphics-drivers (Ubuntu)
High
Unassigned

Bug Description

Installing the nvidia 260.19.06-ubuntu1 driver update breaks all graphics on the Sony Vaio F-series [GeForce GT 330M]. Downgrading to 256.53-0ubuntu3 resolves the issue. NOTE: this machine does not work with the Nouveau drivers either.

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: nvidia-current 256.53-0ubuntu3
ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
Uname: Linux 2.6.35-22-generic x86_64
NonfreeKernelModules: nvidia
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86_64 Kernel Module 256.53 Fri Aug 27 20:27:48 PDT 2010
 GCC version: gcc version 4.4.5 (Ubuntu/Linaro 4.4.4-14ubuntu5)
Architecture: amd64
Date: Sun Oct 10 12:24:24 2010
DkmsStatus: nvidia-current, 256.53, 2.6.35-22-generic, x86_64: installed
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Alpha amd64 (20100916.1)
MachineType: Sony Corporation VPCF1290X
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.35-22-generic root=UUID=0d00d502-72ac-4d2d-891e-f15c701134a2 ro i8042.nopnp quiet splash i8042.nopnp
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.utf8
 SHELL=/bin/bash
SourcePackage: nvidia-graphics-drivers
XorgLogOld:

dmi.bios.date: 05/31/2010
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: R1110Y6
dmi.board.asset.tag: N/A
dmi.board.name: VAIO
dmi.board.vendor: Sony Corporation
dmi.board.version: N/A
dmi.chassis.asset.tag: N/A
dmi.chassis.type: 10
dmi.chassis.vendor: Sony Corporation
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrR1110Y6:bd05/31/2010:svnSonyCorporation:pnVPCF1290X:pvrA222J92M:rvnSonyCorporation:rnVAIO:rvrN/A:cvnSonyCorporation:ct10:cvrN/A:
dmi.product.name: VPCF1290X
dmi.product.version: A222J92M
dmi.sys.vendor: Sony Corporation
glxinfo: Error: [Errno 2] No such file or directory
system:
 distro: Ubuntu
 codename: maverick
 architecture: x86_64
 kernel: 2.6.35-22-generic

David Mandala (davidm) wrote :
bikrus (bikrus) wrote :

Same for me.

Update from Ubuntu 10.04 to Ubuntu 10.10 triggers black screen on boot on the Sony Vaio VPCS11M9R [GeForce GT 310M].

Linux xxx 2.6.35-22-generic #34-Ubuntu SMP Sun Oct 10 09:26:05 UTC 2010 x86_64 GNU/Linux
nvidia-current 260.19.06-0ubuntu1

Temporary workaround:
1. rm /etc/X11/xorg.conf
This workaround brings me 1280x720 resolution instead of native 1366x768. Also nvidia-settings say: "You do not appear to be using the NVIDIA X driver."

h3lge (brzoska) wrote :

Same for me w/ Vaio F11 Series w/ GT330M Graphics Card.

Andy Whitcroft (apw) wrote :

The reporter found that a previous version of the nvidia binary driver fixed things for him, could the 'me toos' try downgrading using the versions at the URL below and report back here:

    https://launchpad.net/ubuntu/maverick/+source/nvidia-graphics-drivers/256.53-0ubuntu3

Alberto Milone (albertomilone) wrote :

Please install 260.19.06-ubuntu1 again, reboot and reproduce the crash. Then save your /var/log/Xorg.0.log, your /var/log/Xorg.0.log.old and dmesg in recovery mode and switch back to the driver that works for you. Finally attach the 2 logs.

The attached X log and dmesg are about 256.53 therefore I can't see the error.

David Mandala (davidm) wrote :

I'll have to go back iand reinstall the bad driver to capture the dmesg. Will get to that in a bit, attached is the xorg log

I'd be happy to try. Could you provide instructions for doing so or
point me to instructions on the web?

Thanks,
John

On Wed, Oct 13, 2010 at 4:30 AM, Andy Whitcroft <email address hidden> wrote:
> The reporter found that a previous version of the nvidia binary driver
> fixed things for him, could the 'me toos' try downgrading using the
> versions at the URL below and report back here:
>
>    https://launchpad.net/ubuntu/maverick/+source/nvidia-graphics-
> drivers/256.53-0ubuntu3
>
> --
> [GeForce GT 330M] nvidia 260.19.06-0ubuntu1 update triggers black screen on boot for sony vaio F-series
> https://bugs.launchpad.net/bugs/657634
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “nvidia-graphics-drivers” package in Ubuntu: New
>
> Bug description:
> Installing the nvidia 260.19.06-ubuntu1 driver update breaks all graphics on the Sony Vaio F-series [GeForce GT 330M].  Downgrading to 256.53-0ubuntu3 resolves the issue.  NOTE: this machine does not work with the Nouveau drivers either.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.10
> Package: nvidia-current 256.53-0ubuntu3
> ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
> Uname: Linux 2.6.35-22-generic x86_64
> NonfreeKernelModules: nvidia
> .proc.driver.nvidia.version:
>  NVRM version: NVIDIA UNIX x86_64 Kernel Module  256.53  Fri Aug 27 20:27:48 PDT 2010
>  GCC version:  gcc version 4.4.5 (Ubuntu/Linaro 4.4.4-14ubuntu5)
> Architecture: amd64
> Date: Sun Oct 10 12:24:24 2010
> DkmsStatus: nvidia-current, 256.53, 2.6.35-22-generic, x86_64: installed
> InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Alpha amd64 (20100916.1)
> MachineType: Sony Corporation VPCF1290X
> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.35-22-generic root=UUID=0d00d502-72ac-4d2d-891e-f15c701134a2 ro i8042.nopnp quiet splash i8042.nopnp
> ProcEnviron:
>  PATH=(custom, user)
>  LANG=en_US.utf8
>  SHELL=/bin/bash
> SourcePackage: nvidia-graphics-drivers
> XorgLogOld:
>
> dmi.bios.date: 05/31/2010
> dmi.bios.vendor: American Megatrends Inc.
> dmi.bios.version: R1110Y6
> dmi.board.asset.tag: N/A
> dmi.board.name: VAIO
> dmi.board.vendor: Sony Corporation
> dmi.board.version: N/A
> dmi.chassis.asset.tag: N/A
> dmi.chassis.type: 10
> dmi.chassis.vendor: Sony Corporation
> dmi.chassis.version: N/A
> dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrR1110Y6:bd05/31/2010:svnSonyCorporation:pnVPCF1290X:pvrA222J92M:rvnSonyCorporation:rnVAIO:rvrN/A:cvnSonyCorporation:ct10:cvrN/A:
> dmi.product.name: VPCF1290X
> dmi.product.version: A222J92M
> dmi.sys.vendor: Sony Corporation
> glxinfo: Error: [Errno 2] No such file or directory
> system:
>  distro:             Ubuntu
>  codename:           maverick
>  architecture:       x86_64
>  kernel:             2.6.35-22-generic
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers/+bug/657634/+subscribe
>

David Korn (david-korn) wrote :

I downgraded like the reporter and things appear to be working now.

Earlier, off a fresh install and prior to installing any nvidia drivers, my Ubuntu 10.10 desktop was running off the right and bottom of my Sony Vaio F Series' 1920x1080 screen, regardless of resolution setting. It seemed like the monitor wasn't being registered correctly, but there was no explicit bug generated. Should I file that separately or is that understood to be part of this issue? I was getting notified to install nvidia drivers, and it seems that would fix the issue if not for the bug we are currently discussing.

john wilde (johnwilde) wrote :
Download full text (3.2 KiB)

I also downgraded - I downloaded the amd64 binaries from the above
link and then ran:

sudo dpkg -i nvidia-*.deb

Things look OK after rebooting. I have a Sony Vaio VPCF123FX.

On Wed, Oct 13, 2010 at 5:18 PM, David Korn <email address hidden> wrote:
> I downgraded like the reporter and things appear to be working now.
>
> Earlier, off a fresh install and prior to installing any nvidia drivers,
> my Ubuntu 10.10 desktop was running off the right and bottom of my Sony
> Vaio F Series' 1920x1080 screen, regardless of resolution setting. It
> seemed like the monitor wasn't being registered correctly, but there was
> no explicit bug generated.  Should I file that separately or is that
> understood to be part of this issue?  I was getting notified to install
> nvidia drivers, and it seems that would fix the issue if not for the bug
> we are currently discussing.
>
> --
> [GeForce GT 330M] nvidia 260.19.06-0ubuntu1 update triggers black screen on boot for sony vaio F-series
> https://bugs.launchpad.net/bugs/657634
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “nvidia-graphics-drivers” package in Ubuntu: New
>
> Bug description:
> Installing the nvidia 260.19.06-ubuntu1 driver update breaks all graphics on the Sony Vaio F-series [GeForce GT 330M].  Downgrading to 256.53-0ubuntu3 resolves the issue.  NOTE: this machine does not work with the Nouveau drivers either.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.10
> Package: nvidia-current 256.53-0ubuntu3
> ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
> Uname: Linux 2.6.35-22-generic x86_64
> NonfreeKernelModules: nvidia
> .proc.driver.nvidia.version:
>  NVRM version: NVIDIA UNIX x86_64 Kernel Module  256.53  Fri Aug 27 20:27:48 PDT 2010
>  GCC version:  gcc version 4.4.5 (Ubuntu/Linaro 4.4.4-14ubuntu5)
> Architecture: amd64
> Date: Sun Oct 10 12:24:24 2010
> DkmsStatus: nvidia-current, 256.53, 2.6.35-22-generic, x86_64: installed
> InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Alpha amd64 (20100916.1)
> MachineType: Sony Corporation VPCF1290X
> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.35-22-generic root=UUID=0d00d502-72ac-4d2d-891e-f15c701134a2 ro i8042.nopnp quiet splash i8042.nopnp
> ProcEnviron:
>  PATH=(custom, user)
>  LANG=en_US.utf8
>  SHELL=/bin/bash
> SourcePackage: nvidia-graphics-drivers
> XorgLogOld:
>
> dmi.bios.date: 05/31/2010
> dmi.bios.vendor: American Megatrends Inc.
> dmi.bios.version: R1110Y6
> dmi.board.asset.tag: N/A
> dmi.board.name: VAIO
> dmi.board.vendor: Sony Corporation
> dmi.board.version: N/A
> dmi.chassis.asset.tag: N/A
> dmi.chassis.type: 10
> dmi.chassis.vendor: Sony Corporation
> dmi.chassis.version: N/A
> dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrR1110Y6:bd05/31/2010:svnSonyCorporation:pnVPCF1290X:pvrA222J92M:rvnSonyCorporation:rnVAIO:rvrN/A:cvnSonyCorporation:ct10:cvrN/A:
> dmi.product.name: VPCF1290X
> dmi.product.version: A222J92M
> dmi.sys.vendor: Sony Corporation
> glxinfo: Error: [Errno 2] No such file or directory
> system:
>  distro:             Ubuntu
>  codename:           maverick
>  architecture:       x86_64
>  kernel:             2.6.35-22-generic
>
> To unsubscribe fr...

Read more...

Changed in nvidia-graphics-drivers (Ubuntu):
status: New → Triaged
importance: Undecided → High
Alberto Milone (albertomilone) wrote :

I think this could be the same issue reported here:
http://www.nvnews.net/vbulletin/showthread.php?t=155218

I've subscribed Nvidia to this bug report.

The Raf 90 (theraf90) wrote :

same problem here, VPCS11E7E

nuovodna (nuovodna) wrote :

same here, VPCCW2S8E (GT 320M + 260.xx, even last stable .run)

damo_yu (yuzhonghao) wrote :

same here, VPCF11C4E

Jaen Saul (slowbyte) wrote :

Can confirm the problem - the latest drivers in Maverick (260.19.06 and 260.19.12) are unusable on Sony Vaio VPCF12S1E, giving a black screen. The 256.xx drivers work fine, thank you for the link, otherwise my laptop would be useless, since Nouveau crashes.

Maarten Kossen (mpkossen) wrote :

I can confirm this as well on a VPCF11C5E. 260.x drivers are completely unusable. Purple screen and a full system hang. 256.x drivers work like a charm.

Changed in nvidia-graphics-drivers (Ubuntu):
status: Triaged → Confirmed
Shiba (shiba89) wrote :

Confirmed on VPCS11E7E, geforce 310m

kikvors (kikvors) wrote :

Confirmed on VPC13Z1E/B, Geforce 425n.

kikvors (kikvors) wrote :

425n=425m

David J Thorpe (dave-j-thorpe) wrote :

I'm on a Sony VAIO VPC-1290X with a GeForce 330M, and have upgraded to Ubuntu 10.10. After the upgrade my system freezes at the purple Ubuntu startup screen. How can I downgrade my video card drivers? It seems that worked for some others on here

Giampiero (stefano-soffia) wrote :

same here, Aspire 5745G Geforce GT 330M

Jorge Gustavo (jgr) wrote :

Same here.
Ubuntu Maverick 10.10 2.6.35-22-generic
Sony Vaio F13Z with GeForce GT 425M

/sbin/init: ELF 64-bit LSB shared object, x86-64, version 1 (SYSV), dynamically linked (uses shared libs), for GNU/Linux 2.6.15, stripped.

It is running fine with nvidia 256.53.

VBIOS 70.08.19.00.2c

funicorn (funicorn) wrote :

one month past, any progress on this issue?

Jer (jer-jers) wrote :

While I'm able to use the 256 driver, its really slow, so I'd also like to know if there is any update on this issue. At this point the stack traces I've seen indicate its a problem inside the nvidia driver itself. There are also numerous other reports of this bug in different forums as well.

Jorge Gustavo (jgr) wrote :

The driver available at Ubuntu Repositories is:
$ apt-cache policy nvidia-current
nvidia-current:
  Instalado: 256.53-0ubuntu3
  Candidato: 260.19.06-0ubuntu1
  Tabela de Versão:
     260.19.06-0ubuntu1 0
        500 http://pt.archive.ubuntu.com/ubuntu/ maverick/restricted amd64 Packages
 *** 256.53-0ubuntu3 0
        100 /var/lib/dpkg/status

I've noticed that the driver available at the nvidia website is:
Version: 260.19.12 Certified
Release Date: 2010.10.13
Operating System: Linux 64-bit
Language: English (U.S.)
File Size: 45.7 MB

This driver is from 2010.10.13, after the bug was reported. But I've also tested with this 260.19.12 version, and the error remains. A black screen after rebooting. So we need to wait a little bit more.

Jer (jer-jers) wrote :

Has anyone tried the official (certified) version from the Nvidia website? It has the same version number (260.19.12) that is known broken for our machines. I'm guessing it also has the same bug. Because of this, I'm not hopeful that our issue is going to be resolved in the near future unfortunately, as there are no more beta drivers, which may contain fixes, currently available that we can try.

funicorn (funicorn) wrote :

well, the error msg given by Xorg.0.log is something like "cannot initialize nvidia_drv.so" and "no screen found".
My doubt is this is a problem that the driver couldn't recognized the screen module or nvidia_drv.so does not work, or both?

I googled a lot on this issue, and I hardly see any useful comment or inspection from PPA group. Do they just not buy these
bug reports? Because I think it would be helpful to figure out the reason why the newer version of NVIDIA drivers not work but
the old ones do. In my case version 256.44 works, but 256.53, 260.19.06 and higher don't.

Henrique (henriquecoutobsb) wrote :

The same issue to me. The driver 256.53 works fine, but I would like to get some improvements from the new driver.
Newer drivers don't work. Sony Vaio VPCF115FM.

Oier Mees (oier) wrote :

It seems that this is the same bug as #643895

Jorge Gustavo (jgr) wrote :

Hi Leonardo,

Your "solution" is for the 256.53 drivers, right? There is no problem with that version, as you can see in previous posts. This bug relates with more recent versions of the NVIDIA drivers, for example, 260.19.21.

Regards!

nuovodna (nuovodna) wrote :

Problem solved with 260.19.26, the new nvidia beta drivers. It works fine here on Sony Vaio VPCCW2S8E + Nvidia gt 320m. Also on international users forum it seems to work fine on other Sony Vaio notebook

Jorge Gustavo (jgr) wrote :

Grazie mille!

I can confirm that nvidia drivers 260.19.26 runs finally without problems on:

Sony Vaio F13Z with GeForce GT 425M
Ubuntu Maverick 10.10 2.6.35-23-generic x86_64

I've added the ppa:ubuntu-x-swat repository to get this new version of the drivers.

sudo add-apt-repository ppa:ubuntu-x-swat/x-updates
sudo apt-get update
apt-cache policy nvidia-current
sudo apt-get install nvidia-current

A bug (#361843 and #380888) in Kile also disappeared (bad performance on editing text).

Changed in nvidia-graphics-drivers (Ubuntu):
status: Confirmed → Fix Committed

VPCC22S8E working fine with newest nvidia drivers (260.19.26) with GT 320M graphic card.
VGA out works - HDMI not tested

Giampiero (stefano-soffia) wrote :

I finally solved the problem on my Aspire 5745G with nvidia Geforce GT 330M.

See: http://ubuntuforums.org/showthread.php?t=1657319

In my case I had to change the `Graphic mode' BIOS setting from `Switchable' to 'Discrete'.

Husain AlKhamis (hsmak) on 2011-01-24
Changed in nvidia-graphics-drivers (Ubuntu):
status: Fix Committed → Fix Released

Thanks Jorge Gustavo, your solution works fine on my VPCF13AFX with geforce 425M. So, the nevidia-settings do not works.. What did you to got this?

Thanks!!!

To post a comment you must log in.